Bug 398571 - PDL::Fit::LM and PDL::Fit::Gaussian do require PDL::Slatec but rpm package installs without it
PDL::Fit::LM and PDL::Fit::Gaussian do require PDL::Slatec but rpm package in...
Product: Fedora
Classification: Fedora
Component: perl-PDL (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-25 13:27 EST by Krzysio (Chris) Leszczynski
Modified: 2008-05-05 10:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-05 10:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Krzysio (Chris) Leszczynski 2007-11-25 13:27:39 EST
Description of problem:

Version-Release number of selected component (if applicable):
perl-PDL-2.4.3-1.fc7 (i386)

How reproducible:

Steps to Reproduce:
1. yum install 'perl(PDL::Fit::LM)'
2. perl -MPDL::Fit::LM -e 'print "Hello world\n"'
Actual results:

Can't locate PDL/Slatec.pm in @INC (@INC contains:
/usr/lib/perl5/site_perl/5.8.8/i386-l [.........]
BEGIN failed--compilation aborted at
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/PDL/Fit/LM.pm line 29.
Compilation failed in require.
BEGIN failed--compilation aborted.

Additional info:
The bug is corrected in Fedora 8.
I have compiled perl-PDL-2.4.3-4.fc8.src.rpm on Fedora 7 and everything wen't ok
(i.e. I got my hello world string that no serious library can live without)
Comment 1 Marcela Mašláňová 2008-03-12 10:06:40 EDT
Rebuild could fix it. But in the koji is missing plplot-devel, which is BR for
Comment 2 Marcela Mašláňová 2008-05-05 10:36:24 EDT
Can't be fixed, because broken dependencies of plplot-devel.

Note You need to log in before you can comment on or make changes to this bug.